### Method

# ICalGLib Parameter clone

since: 4.0

#### Declaration [src]

    ICalParameter*
    i_cal_parameter_clone (
      const ICalParameter* p
    )

#### Description [src]

Deep clone a `ICalParameter`.

Available since: 4.0

#### Return value

Type: `ICalParameter`

The newly created `ICalParameter` with the same properties as the `p`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.